import type { ResultValue } from "../runtime/result.js";
export declare function _isEmail(value: string): ResultValue;
export declare function _isUrl(value: string): ResultValue;
export declare function _isUuid(value: string): ResultValue;
export declare function _isInt(value: number): ResultValue;
export declare function _isPositive(value: number): ResultValue;
export declare function _isNegative(value: number): ResultValue;
export declare function _min(n: number, value: number): ResultValue;
export declare function _max(n: number, value: number): ResultValue;
export declare function _minLength(n: number, value: string): ResultValue;
export declare function _maxLength(n: number, value: string): ResultValue;
export declare function _matches(pattern: string, value: string): ResultValue;
